Page MenuHomePhabricator

ErfogedBot categorisation of Kosovo pictures is wrong
Closed, ResolvedPublic

Description

Follow-up to T140488

See eg https://commons.wikimedia.org/w/index.php?title=File:24701-nature-natural-beauty.jpg&diff=prev&oldid=202564837

ErfgoedBot removes the root category [[Category:Cultural heritage monuments in Kosovo]] to dispatch into the much less specific [[Category:Kosovo]]

Event Timeline

JeanFred created this task.Jul 28 2016, 9:38 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2016, 9:38 AM

Why it is replacing ??
I think it would be ok only if added Category:Kosovo, but not to remove Category:Cultural heritage monuments in Kosovo.

Why it is replacing ??
I think it would be ok only if added Category:Kosovo, but not to remove Category:Cultural heritage monuments in Kosovo.

ErfgoedBot job is to replace the generic, catch-all category like [[Category:Cultural heritage monuments in Kosovo]] with more precise ones (for example, [[Category:Cultural heritage monuments in Prizren District]] or [[Category:Cathedral of Our Lady of Perpetual Succour (Prizren)]])

The process through which ErfgoedBot find this category is described at https://commons.wikimedia.org/wiki/Commons:Monuments_database/Categorization

So my guess is that ErfgoedBot falls back to case 5.2 − from [[Lista_e_Monumenteve_në_Kosovë]], going to [[Kategoria:Kosovë]], then to Wikidata [[Q7186363]], where it finds [[Category:Kosovo]].

This edit should avoid that in the future.

I did a similar edit to the Albanian list. Might be worth ensuring that erfgoed both didn't move images in a similar way there.

Lokal_Profil triaged this task as High priority.Aug 2 2016, 12:00 PM

Change 303517 had a related patch set uploaded (by Lokal Profil):
Add commonscat mapping for sq.wikipedia

https://gerrit.wikimedia.org/r/303517

Lokal_Profil added a comment.EditedAug 8 2016, 8:39 AM

I think I identified the issue.

It might be worth looking over which wikipedias we work on where we might be missing these connections (at least fa.wiki seems to be missing)

Change 303517 merged by jenkins-bot:
Add commonscat mapping for sq.wikipedia

https://gerrit.wikimedia.org/r/303517

I think I identified the issue.

Good catch. Sounds like the culprit!

I also did this https://www.wikidata.org/w/index.php?diff=362404132 to circumvent the issue, so we might not be able to validate behaviour with Kosovo ; would work for Albania though.

It might be worth looking over which wikipedias we work on where we might be missing these connections (at least fa.wiki seems to be missing)

Sounds like a good reason to break out wikipedia_commonscat_templates and ignoreTemplates.

We could possibly add it as a new test for monuments_config that checks if any (wikipedia) language version mentioned there also exists in wikipedia_commonscat_templates? Or are there valid situations where this is not expected?

Mentioned in SAL [2016-08-09T07:39:55Z] <Lokal_Profil> Deployed latest from Git, 768b3ac, 30e33ca, 8d7de41 (T141505)

I also pushed this upstream (i.e. to pywikibot) via https://gerrit.wikimedia.org/r/303791

Lokal_Profil closed this task as Resolved.Apr 5 2017, 6:24 PM

This has been solved for a while :)